package model

type FormulaEstimate struct {
	Id                   int32  `json:"id"`
	PastureId            int32  `json:"pasture_id"`
	PastureName          string `json:"pasture_name"`
	BarnId               int32  `json:"barn_id"`
	FeedFormulaId        int32  `json:"feed_formula_id"`
	FeedFormulaName      string `json:"feed_formula_name"`
	CowNumber            int32  `json:"cow_number"`
	DryFormulaNumber     int32  `json:"dry_formula_number"`
	DryTmrFeed           int32  `json:"dry_tmr_feed"`
	DryFoodIntake        int32  `json:"dry_food_intake"`
	MjFormulaNumber      int32  `json:"mj_formula_number"`
	MjTmrFeed            int32  `json:"mj_tmr_feed"`
	MjFoodIntake         int32  `json:"mj_food_intake"`
	NndFormulaNumber     int32  `json:"nnd_formula_number"`
	NndTmrFeed           int32  `json:"nnd_tmr_feed"`
	NndFoodIntake        int32  `json:"nnd_food_intake"`
	CpgFormulaNumber     int32  `json:"cpg_formula_number"`
	CpgTmrFeed           int32  `json:"cpg_tmr_feed"`
	CpgFoodIntake        int32  `json:"cpg_food_intake"`
	PgFormulaNumber      int32  `json:"pg_formula_number"`
	PgTmrFeed            int32  `json:"pg_tmr_feed"`
	PgFoodIntake         int32  `json:"pg_food_intake"`
	DmFormulaNumber      int32  `json:"dm_formula_number"`
	DmTmrFeed            int32  `json:"dm_tmr_feed"`
	DmFoodIntake         int32  `json:"dm_food_intake"`
	CpdmFormulaNumber    int32  `json:"cpdm_formula_number"`
	CpdmTmrFeed          int32  `json:"cpdm_tmr_feed"`
	CpdmFoodIntake       int32  `json:"cpdm_food_intake"`
	FatFormulaNumber     int32  `json:"fat_formula_number"`
	FatTmrFeed           int32  `json:"fat_tmr_feed"`
	FatFoodIntake        int32  `json:"fat_food_intake"`
	StarchFormulaNumber  int32  `json:"starch_formula_number"`
	StarchTmrFeed        int32  `json:"starch_tmr_feed"`
	StarchFoodIntake     int32  `json:"starch_food_intake"`
	NdfFormulaNumber     int32  `json:"ndf_formula_number"`
	NdfTmrFeed           int32  `json:"ndf_tmr_feed"`
	NdfFoodIntake        int32  `json:"ndf_food_intake"`
	CpNdfFormulaNumber   int32  `json:"cp_ndf_formula_number"`
	CpNdfTmrFeed         int32  `json:"cp_ndf_tmr_feed"`
	CpNdfFoodIntake      int32  `json:"cp_ndf_food_intake"`
	AdfFormulaNumber     int32  `json:"adf_formula_number"`
	AdfTmrFeed           int32  `json:"adf_tmr_feed"`
	AdfFoodIntake        int32  `json:"adf_food_intake"`
	CalciumFormulaNumber int32  `json:"calcium_formula_number"`
	CalciumTmrFeed       int32  `json:"calcium_tmr_feed"`
	CalciumFoodIntake    int32  `json:"calcium_food_intake"`
	PdmFormulaNumber     int32  `json:"pdm_formula_number"`
	PdmTmrFeed           int32  `json:"pdm_tmr_feed"`
	PdmFoodIntake        int32  `json:"pdm_food_intake"`
	CfRatioFormulaNumber int32  `json:"cf_ratio_formula_number"`
	CfRatioTmrFeed       int32  `json:"cf_ratio_tmr_feed"`
	CfRatioFoodIntake    int32  `json:"cf_ratio_food_intake"`
	CreatedAt            int32  `json:"created_at"`
	UpdatedAt            int32  `json:"updated_at"`
}

func (f *FormulaEstimate) TableName() string {
	return "formula_estimate"
}

type FormulaEstimateRequest struct {
	Name       string                 `json:"name"`
	Page       int32                  `json:"page"`
	Offset     int32                  `json:"offset"`
	PageCount  int32                  `json:"pagecount"`
	ReturnType string                 `json:"returntype"`
	ParamMaps  *FormulaEstimateParams `json:"parammaps"`
}

type FormulaEstimateParams struct {
	PastureId     string   `json:"pastureid"`
	StartTime     string   `json:"startTime"`
	StopTime      string   `json:"stopTime"`
	InputDatetime []string `json:"inputDatetime"`
	Search        string   `json:"search"`
	TempletId     string   `json:"templetid"`
	Barid         string   `json:"barid"`
}

type FormulaEstimateResponse struct {
	Code int32                `json:"code"`
	Msg  string               `json:"msg"`
	Data *FormulaEstimateData `json:"data"`
}

type FormulaEstimateData struct {
	List     interface{} `json:"list"`
	PageSize int32       `json:"pageSize"`
	Total    int32       `json:"total"`
	PageNum  int32       `json:"pageNum"`
}
